%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}
%global jbossaop_plugin_version  2.1.4.GA
%define  with_maven_plugin 1

Name:          jboss-aop
Version:       2.2.2
Release:       %mkrel 2
Summary:       JBoss AOP Framework
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/jbossaop/
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/aop/tags/JBoss_AOP_2_2_2_GA jboss-aop-2.2.2.GA
# rm -rf jboss-aop-2.2.2.GA/tool
# tar czf jboss-aop-2.2.2.GA-src-svn.tar.gz jboss-aop-2.2.2.GA
Source0:       jboss-aop-%{namedversion}-src-svn.tar.gz
Source1:       jboss-aop-depmap

Patch0:        jboss-aop-2.2.2.GA-disable-modules.patch

# org.jboss.test jboss-test
# jboss-profiler-jvmti 1.0.0.CR5
Patch1:        jboss-aop-2.2.2.GA-remove-test-deps.patch

# qdox
Patch2:        jboss-aop-2.2.2.GA-AnnotationDocletTagFactory.patch

#     [INFO] --- maven-assembly-plugin:2.2.2:attached (single) @ jboss-aop ---
#     [INFO] Reading assembly descriptor: src/assembly/single.xml
#     Exception in thread "Thread-84" java.lang.OutOfMemoryError: Java heap space
#             at java.util.Arrays.copyOf(Arrays.java:2367)
#     [ERROR] Failed to execute goal org.apache.maven.plugins:maven-assembly-plugin:2.2.2:attached (single) on project jboss-aop: Failed to create assembly: Error creating assembly archive single: Failed to retrieve numeric file attributes using: '/bin/sh -c ls -1nlaR /' -> [Help 1]
Patch3:        jboss-aop-2.2.2.GA-disable-jboss-aop-single_jar.patch

Patch4:        jboss-aop-2.2.2.GA-enable-jbossaop-plugin.patch
Patch5:        jboss-aop-2.2.2.GA-jbossaop-plugin-pom.patch

Patch6:        jboss-aop-2.2.2.GA-remove-unavailable-deps.patch

Patch7:        jboss-aop-2.2.2.GA-maven-version.patch

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: bsh
BuildRequires: dtdparser
BuildRequires: gnu-trove >= 2.1.0
BuildRequires: jarjar
BuildRequires: javassist
BuildRequires: jboss-classpool
BuildRequires: jboss-common-core
# org.jboss.javaee jboss-jca-api 1.5.0.GA
BuildRequires: jboss-logging-log4j
BuildRequires: jboss-logging-spi
BuildRequires: jboss-mdr
BuildRequires: jboss-reflect
BuildRequires: jboss-servlet-3.0-api
BuildRequires: jboss-vfs
BuildRequires: liblog4j-java
BuildRequires: qdox
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis

BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin

Requires:      ant
Requires:      gnu-trove >= 2.1.0
Requires:      javassist
Requires:      jboss-classpool
Requires:      jboss-common-core
Requires:      jboss-logging-log4j
Requires:      jboss-logging-spi
Requires:      jboss-mdr
Requires:      jboss-reflect
Requires:      liblog4j-java
Requires:      qdox
Requires:      xml-commons-apis

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
JBoss AOP is a 100% Pure Java aspected oriented framework
usuable in any programming environment or tightly integrated
with our application server. Aspects allow you to more easily
modularize your code base when regular object oriented
programming just doesn't fit the bill. It can provide a
cleaner separation from application logic and system code.
It provides a great way to expose integration points into
your software. Combined with JDK 1.5 Annotations, it also
is a great way to expand the Java language in a clean
pluggable way rather than using annotations solely for
code generation.

%if %with_maven_plugin

%package -n maven-jbossaop-plugin
Group:         Development/Java
Summary:       JBoss AOP Maven Plugin
BuildRequires: maven-plugin-testing-harness
BuildRequires: plexus-utils
Requires:      maven
Requires:      %{name} = %{version}-%{release}

%description -n maven-jbossaop-plugin
This package contains JBoss AOP Maven Plugin v%{jbossaop_plugin_version}.

%endif

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.bat' -exec rm -f '{}' \;
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p0
%if %with_maven_plugin
%patch4 -p0
%patch5 -p0
%endif
%patch6 -p1
%patch7 -p0

%build

# test disabled unavailable deps
mvn-rpmbuild -Dmaven.test.skip=true -Dmaven.local.depmap.file=%{SOURCE1} install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/%{name}
install -pm 644 aop/target/%{name}.jar %{buildroot}%{_javadir}/%{name}/%{name}.jar
install -pm 644 aop/target/%{name}-client.jar %{buildroot}%{_javadir}/%{name}/%{name}-client.jar
#install -pm 644 aop/target/%{name}-single.jar %{buildroot}%{_javadir}/%{name}/%{name}-single.jar

install -pm 644 pluggable-instrumentor/target/pluggable-instrumentor.jar \
  %{buildroot}%{_javadir}/%{name}/pluggable-instrumentor.jar


mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-parent.pom
%add_maven_depmap JPP.%{name}-%{name}-parent.pom
install -pm 644 aop/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom %{name}/%{name}.jar
install -pm 644 pluggable-instrumentor/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-pluggable-instrumentor.pom
%add_maven_depmap JPP.%{name}-pluggable-instrumentor.pom %{name}/pluggable-instrumentor.jar

%if %with_maven_plugin
install -pm 644 maven-jbossaop-plugin/target/maven-jbossaop-plugin-%{jbossaop_plugin_version}.jar \
   %{buildroot}%{_javadir}/%{name}/maven-jbossaop-plugin.jar
install -pm 644 maven-jbossaop-plugin/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-maven-jbossaop-plugin.pom
%add_maven_depmap -f maven-plugin JPP.%{name}-maven-jbossaop-plugin.pom %{name}/maven-jbossaop-plugin.jar
%endif

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}/%{name}*.jar
%{_javadir}/%{name}/pluggable-instrumentor.jar
%{_mavenpomdir}/JPP.%{name}-%{name}*.pom
%{_mavenpomdir}/JPP.%{name}-pluggable-instrumentor.pom
%{_mavendepmapfragdir}/%{name}

%if %with_maven_plugin
%files -n maven-jbossaop-plugin
%{_javadir}/%{name}/maven-jbossaop-plugin.jar
%{_mavenpomdir}/JPP.%{name}-maven-jbossaop-plugin.pom
%{_mavendepmapfragdir}/%{name}-maven-plugin
%endif

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.2.2-2.mga3
+ Revision: 354909
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 gil <gil> 2.2.2-1.mga2
+ Revision: 205070
- imported package jboss-aop

